Groups

Manage groups for accounts or client accounts.

GET /groups

DescriptionGet the details for all groups in the company or client account.
Resource URLhttps://app.klipfolio.com/api/1.0/groups
Parametersoptional: client_id (string) — show only groups that belong to a specific client

Example Request

GET https://app.klipfolio.com/api/1/groups
GET https://app.klipfolio.com/api/1/groups?client_id=0123456789abcdef0123456789abcdef

Example Response

{
"meta": {
   "status": 200,
   "success": true
},
"data":{
"groups":[
            {
                "id": "42c1accfbcfd54d44029ee5199805a9y",
                "name": "All Users",
                "description": "All of the users in your company"
            },
            {
                "id": "2e21abc434a5169f9890576ec4d8e333",
                "name": "Internal",
                "description": "For access to client accounts"
            }
       ]
   }
}

GET /groups/{id}

DescriptionGet the details for the specific group in the company or client account.
Permissionsuser.manage
Parametersgroup id
full (true/false) — include associations in the listing (members)
optional: client_id (string) — show only groups that belong to a specific client. If using Client id, the Group Id must belong to the client

Example Request

GET https://app.klipfolio.com/api/1/groups/42c1abcdefgh54d44029ee5199111c2b
GET https://app.klipfolio.com/api/1/groups/42c1abcdefgh54d44029ee5199111c2b?full=true'
GET https://app.klipfolio.com/api/1/groups/9876abcdefgh54d44029ee5199111c2b?client_id=0123456789abcdef0123456789abcdef

Example Response

{
  "meta": {
    "success": true,
    "status": 200
  },
  "data": {
    "id": "42c1accfbcfd54d44029ee5199805a9y",
    "external_id": "group_api",
    "company": "Self",
    "name": "APIGroup",
    "description": "Updated group",
    "num_members": 1,
    "members": [
      {
        "id": "2e21abc434a5169f9890576ec4d8e333",
        "full_name": "Jane Doe"
      }
    ]
  }
}

POST /groups

DescriptionCreate a new group in the company or client account.
Permissionsuser.manage
Resource URLhttps://app.klipfolio.com/api/1.0/groups
Parametersname, description
optional: client_id

Example Request

POST https://app.klipfolio.com/api/1/groups -d {'name':'New Group', 'description':'A brand new group'}
POST https://app.klipfolio.com/api/1/groups -d {'name':'New Client Group', 'description':'A brand new group in client account', 'client_id':'0123456789abcdef0123456789abcdef'}

Example Response

{
"meta": {
   "success": true,
   "status": 201,
   "location": "/groups/0932d8270fb840f102d542331f200aca"
}
}

PUT /groups/{id}

DescriptionUpdate the specified group in the company or client account.
Permissionsuser.manage
Resource URLhttps://app.klipfolio.com/api/1.0/groups/{id}
Parametersgroup id
name, description
optional: client_id

Example Request

PUT https://app.klipfolio.com/api/1/groups/012345678998745641asfd -d {'description':'Updated Description'}
PUT https://app.klipfolio.com/api/1/groups/012345678998745641asfd -d {'description':'Updated client group', 'client_id':'0123456789abcdef0123456789abcdef'}

Example Response

{
"meta": {
   "status": 200,
   "success": true
}
}

DELETE /groups/{id}

DescriptionDelete a group in the company or client account.
Permissionsuser.manage
Resource URLhttps://app.klipfolio.com/api/1.0/groups/{id}
Parametersgroup id
optional: client_id

Example Request

DELETE https://app.klipfolio.com/api/1/groups/0987654321qwer
DELETE https://app.klipfolio.com/api/1/groups/0987654321qwer?client_id=0123456789abcdef0123456789abcdef

Example Response

{
"meta": {
      "status": 200,
      "success": true
  }
}